Lincoln MKC Forum banner

1 - 1 of 1 Posts

·
Registered
Joined
·
3 Posts
Discussion Starter #1
2015 MKC, loaded.

According to my service records, Sync2 version 3.8 was installed before this car left the dealership (when new). I see on the web that we're at version 3.10, but when I go through the update process it tells me that my software is up to date. Anyone know why?
 
1 - 1 of 1 Posts
Top